# In addition to regular Django settings, 
# these fields must be set in your settings.py for Rain Droplet to work:

DEBUG = True
TEMPLATE_DEBUG = DEBUG

ADMINS = (
  ('Daniel', 'daniel@raindroplet.info'), # set your own name and email address - used for contact page etc.
)

MANAGERS = ADMINS

DATABASE_ENGINE = 'postgresql'
DATABASE_NAME = 'raindroplet'
DATABASE_USER = 'apache'
DATABASE_PASSWORD = ''
DATABASE_HOST = ''
DATABASE_PORT = ''

TIME_ZONE = 'Canada/Pacific'

LANGUAGE_CODE = 'en-us'

SITE_ID = 2

USE_I18N = True

USE_L10N = True

SECRET_KEY = 'woooooohooyeahoksadjfsadfklklejklafejsdfkkjhxcjkhjkshadfkjh@#LKSDajfkj23rsdaJ#KLRWJ3'

# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
# trailing slash.
# Examples: "http://foo.com/media/", "/media/".
ADMIN_MEDIA_PREFIX = '/admin/media/'  # something different than '/media/'

MEDIA_ROOT = "/home/raindroplet/public_html/raindroplet/droplet/media/"
MEDIA_URL = "http://raindroplet.info/media/"

MIDDLEWARE_CLASSES = (
#  "raindroplet.sslmiddleware.SSLRedirect",
  "django.middleware.common.CommonMiddleware",
  "django.middleware.sessions.SessionMiddleware",
  "django.middleware.doc.XViewMiddleware",
)

ROOT_URLCONF = 'raindroplet.urls'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
  'django.core.template.loaders.filesystem.load_template_source',
  'django.core.template.loaders.app_directories.load_template_source',
)

INSTALLED_APPS = (
  'raindroplet.droplet',
  'django.contrib.admin',
)

# for sending out automated email messages
EMAIL_HOST = 'raindroplet@raindroplet.info'
EMAIL_HOST_USER = '' # leave blank if not required by host
EMAIL_HOST_PASSWORD = '' # leave blank if not required by host

# for auto-populating DjangoContext object
# see http://www.djangoproject.com/documentation/settings/#template-context-processors
TEMPLATE_CONTEXT_PROCESSORS = (
  "django.core.context_processors.auth",
  "django.core.context_processors.debug", # optional
  "django.core.context_processors.i18n", # optional
  "raindroplet.droplet.views.userNode_proc", # populates context with logged-in user ID
  "raindroplet.droplet.views.siteInfo_proc", # populates context with site name, service name, admin name & email 
  "raindroplet.droplet.views.userAgent_proc", # makes sure good browsers get the good logo
)

SESSION_COOKIE_AGE = 43200 # session expiry time, in seconds
# SESSION_COOKIE_SECURE = True

SITE_NAME = 'raindroplet.info' # the domain name for your Rain Droplet site, eg, 'raindroplet.info'
SERVICE_NAME = 'Rain Droplet' # the name of your Rain Droplet service, eg, 'Rain Droplet'

# this is the intro paragraph for the front page.  you can put html in here (it gets wrapped in a <p>).
HOME_INTRO_TEXT = "Welcome to Rain Droplet!"
