# In addition to regular Django settings, 
# these fields must be set in your settings.py for Rain Droplet to work:

ADMINS = (
  ('Your Name', 'your_email@domain.com'), # set your own name and email address - used for contact page etc.
)


# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
# trailing slash.
# Examples: "http://foo.com/media/", "/media/".
ADMIN_MEDIA_PREFIX = ''  # something different than '/media/'

MIDDLEWARE_CLASSES = (
  "django.middleware.common.CommonMiddleware",
  "django.middleware.sessions.SessionMiddleware",
  "django.middleware.doc.XViewMiddleware",
)

ROOT_URLCONF = 'raindroplet.urls'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
  'django.core.template.loaders.filesystem.load_template_source',
  'django.core.template.loaders.app_directories.load_template_source',
)

INSTALLED_APPS = (
  'raindroplet.droplet',
  'django.contrib.admin',
)

# for sending out automated email messages
EMAIL_HOST = ''
EMAIL_HOST_USER = '' # leave blank if not required by host
EMAIL_HOST_PASSWORD = '' # leave blank if not required by host

# for auto-populating DjangoContext object
# see http://www.djangoproject.com/documentation/settings/#template-context-processors
TEMPLATE_CONTEXT_PROCESSORS = (
  "django.core.context_processors.auth",
  "django.core.context_processors.debug", # optional
  "django.core.context_processors.i18n", # optional
  "raindroplet.droplet.views.userNode_proc", # populates context with logged-in user ID
  "raindroplet.droplet.views.siteInfo_proc", # populates context with site name, service name, admin name & email 
  "raindroplet.droplet.views.userAgent_proc", # makes sure good browsers get the good logo
)

SESSION_COOKIE_AGE =  # session expiry time, in seconds

SITE_NAME = '' # the domain name for your Rain Droplet site, eg, 'raindroplet.info'
SERVICE_NAME = '' # the name of your Rain Droplet service, eg, 'Rain Droplet'

# this is the intro paragraph for the front page.  you can put html in here (it gets wrapped in a <p>).
HOME_INTRO_TEXT = "Welcome to my Rain Droplet!"
